aboutsummarylogtreecommitdiffstats
path: root/ip-up.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ip-up.sh')
-rwxr-xr-xip-up.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/ip-up.sh b/ip-up.sh
new file mode 100755
index 000000000000..c1b7c730867f
--- /dev/null
+++ b/ip-up.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/bash
+
+OLD_GATEGAY=$(cat /run/vpn-old-gateway)
+
+[[ -n "$OLD_GATEGAY" ]] || exit
+
+for ip_range in $(cat /etc/china-ip-skip-vpn/china-ip-list.txt); do
+ ip route add $ip_range via $OLD_GATEGAY
+done